Subject: Re: vm changes from linux-2.6.14 to linux-2.6.15

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 02 May 2007 07:31:50 +1000

> I have attached a patch (so pine does not mangle it) for linux-2.6.20.9.
> Is this what you had in mind?
> 
> For linux-2.6.21, more work will be needed as it has more code calling 
> ptep_set_access_flags.

I'm not 100% sure we need the 'update' argument... we can remove the
whole old_entry, pte_same, etc... and just have pte_set_access_flags()
read the old PTE and decide wether something needs to be changed or not.

Ben.